Bug 583224 - <keyword> should be translatable
<keyword> should be translatable
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-17 03:38 EDT by Raphaël Hertzog
Modified: 2010-11-23 23:18 EST (History)
6 users (show)

See Also:
Fixed In Version: publican-1.6.3-0.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-17 14:57:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jfearn: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Raphaël Hertzog 2010-04-17 03:38:23 EDT
My chapters start with a list of associated keywords:
<chapter id="services-unix">
<chapterinfo>
<graphic scalefit="1" fileref="images/chap-services-unix.png"/>
<keywordset>
<keyword>Démarrage du système</keyword>
<keyword>Scripts d'initialisation</keyword>
[...]
</keywordset>
</chapterinfo>

Unfortunately the strings in <keyword> do not appear in the PO files and are thus not translatable. It would be nice if this could be fixed.
Comment 1 Raphaël Hertzog 2010-04-19 02:51:42 EDT
I saw the needinfo tagging, what kind of information do you need?
Comment 2 Jeff Fearn 2010-04-19 03:10:44 EDT
I need to know if the translation team agree with this change.
Comment 3 Jeff Fearn 2010-05-04 00:09:12 EDT
Added keyword to translatable tag list.
Comment 4 Ruediger Landmann 2010-05-06 01:07:25 EDT
<keyword>s in a <keywordset> do not appear in the PO files generated with version 1.6.3.t122
Comment 5 Ruediger Landmann 2010-05-06 01:42:15 EDT
Confirmed fixed in version 1.6.3.t150
Comment 6 jito 2010-05-11 18:48:25 EDT
<keyword> tags do not appear on the test PO file.
Comment 7 jito 2010-05-11 23:53:12 EDT
Further to the comment above, there are entries in the PO files that correspond to <keyword> tags even though these tags do not appear on the files:

#. Tag: keyword
#, no-c-format
msgid "Basic Text Elements"
msgstr "基本的なテキスト要素"
Comment 8 Fedora Update System 2010-05-13 18:21:03 EDT
publican-1.6.3-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc13
Comment 9 Fedora Update System 2010-05-13 18:22:18 EDT
publican-1.6.3-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc12
Comment 10 Fedora Update System 2010-05-15 16:36:42 EDT
publican-1.6.3-0.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update publican'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc12
Comment 11 Fedora Update System 2010-05-15 16:45:55 EDT
publican-1.6.3-0.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update publican'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc13
Comment 12 Fedora Update System 2010-05-17 14:55:59 EDT
publican-1.6.3-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-05-17 14:59:51 EDT
publican-1.6.3-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.